import React, { useEffect, useRef, useState } from "react";
import PageTitle from "../../components/PageTitle";
import Container from "../../components/Container";
import Head from "next/head";
import SellerList from "../../components/Seller/SellarList";

export default function Suppliers({ data }) {
  return (
    <>
      <Head>
        <title>{data?.seoSetting?.page_name}</title>
      </Head>
      <PageTitle
        title={data?.seoSetting?.seo_title}
        pageName={data?.seoSetting?.page_name}
      />
      <section className="lg:pt-20 pt-14 bg-[#FDF9FF]">
        <Container>
          <SellerList />
        </Container>
      </section>
    </>
  );
}

export async function getServerSideProps() {
  const res = await fetch(`${process.env.BASE_URL}api/sellers`);
  const data = await res.json();
  return { props: { data } };
}
